Bug 122711 - CRASH: exporting a signed PDF
Summary: CRASH: exporting a signed PDF
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2019-01-14 18:13 UTC by Xisco Faulí
Modified: 2019-01-18 02:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-14 18:13:10 UTC
Steps to Reproduce:
1. Open Writer
2. File → Export As → Export to PDF
3. Digital Signatures → Certificate
4. Choose OpenPGP signature.
5. Click export

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 1977291fc08de7425db469e21bd2ad385e722707
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-01-14 18:14:16 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4b7cbb569e52e483a5edda8afe27d423e428edbb


author	Caolán McNamara <caolanm@redhat.com>	2018-11-17 21:37:50 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-22 09:55:16 +0100
commit	4b7cbb569e52e483a5edda8afe27d423e428edbb (patch)
tree	b767f526b821002d1b71d49e0e205d9e3dcab8fa
parent	b9b62d96f6de8908ddf69f5b56eb58fe82013a24 (diff)
weld SwCondCollPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2019-01-15 11:45:19 UTC Comment hidden (off-topic)
Comment 3 Commit Notification 2019-01-15 11:46:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d9cc120870657d32d7712cb77ce216eaa407f96f%5E%21

Resolves: tdf#122711 fix order of columns

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-01-15 11:47:12 UTC
comment #2 is for another bug.

This is now fixed in master, backports in gerrit
Comment 5 Xisco Faulí 2019-01-15 16:09:29 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: c977473546e450ec122f5d3dbc4578d8994962ef
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 6 Commit Notification 2019-01-15 16:24:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/5661a32a0cb5089e0a26867804911bc482e58af9%5E%21

Resolves: tdf#122711 fix order of columns

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-18 02:29:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/229fd0f0095a0c4ca2b55b5fefdb74f539395ffc%5E%21

Resolves: tdf#122711 fix order of columns

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.